package com.goldenwater.gx.service;

import java.util.List;
import com.goldenwater.gx.domain.GxExchangeApply;

/**
 * 数据共享申请Service接口
 */
public interface IGxExchangeApplyService
{
    public GxExchangeApply selectGxExchangeApplyById(Long id);

    public List<GxExchangeApply> selectGxExchangeApplyList(GxExchangeApply apply);

    public int insertGxExchangeApply(GxExchangeApply apply);

    public int updateGxExchangeApply(GxExchangeApply apply);

    public int auditApply(Long id, String applyState, String approveUser, String approveRemark);

    public int deleteGxExchangeApplyByIds(Long[] ids);

    public int deleteGxExchangeApplyById(Long id);
}
